Bug 207274 - CVE-2006-2940 OpenSSL Parasitic Public Keys
Summary: CVE-2006-2940 OpenSSL Parasitic Public Keys
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssl   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard: reported=20060703,source=openssl,impa...
Keywords: Security
Depends On:
Blocks: 209116 CVE-2006-2940
TreeView+ depends on / blocked
 
Reported: 2006-09-20 11:45 UTC by Mark J. Cox
Modified: 2008-01-29 10:58 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0695
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-29 00:05:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch CVE-2006-2940 (12.49 KB, text/x-patch)
2006-09-25 09:18 UTC, Mark J. Cox
no flags Details
replacement patch CVE-2006-2940 (11.76 KB, patch)
2006-09-25 09:23 UTC, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0695 normal SHIPPED_LIVE Important: openssl security update 2006-09-28 04:00:00 UTC

Description Mark J. Cox 2006-09-20 11:45:44 UTC
Dr S N Henson of the OpenSSL core team and Open Network Security recently
developed an ASN1 test suite for NISCC (www.niscc.gov.uk). When the test suite
was run against OpenSSL a denial of service vulnerability was discovered.

Certain types of public key can take disproportionate amounts of time to
process. This could be used by an attacker in a denial of service attack.
CVE-2006-2940

Any code which uses OpenSSL to parse ASN1 data from untrusted sources is
affected. This includes SSL servers which enable client authentication and
S/MIME applications.

This issue was co-ordinated through NISCC although currently no patch exists. 
The final patch will reject keys which exceed certain limits.  These limits are
similar to those already enforced by other crypto libraries such as NSS.

Embargo until 20060928
Also affects (all RHEL)

Comment 1 Mark J. Cox 2006-09-25 09:18:41 UTC
Created attachment 137035 [details]
proposed patch CVE-2006-2940

Comment 2 Mark J. Cox 2006-09-25 09:23:56 UTC
Created attachment 137036 [details]
replacement patch CVE-2006-2940

Comment 5 Mark J. Cox 2006-09-28 13:27:05 UTC
removing embargo, public at http://www.openssl.org/news/secadv_20060928.txt

Comment 6 Red Hat Bugzilla 2006-09-29 00:05:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0695.html



Note You need to log in before you can comment on or make changes to this bug.